it-swarm.com.de

Fehler beim Installieren der Befehlszeilentools unter OSX Mavericks

Ich habe versucht, die Befehlszeilentools auf Mavericks zu installieren. Befolgen Sie die Schritte in diesem sehr nützlichen post

> xcode-select --install

aber nach wenigen Sekunden bekomme ich die Nachricht 

enter image description here

Das scheint falsch zu sein. Weiß jemand, wie man dieses Problem löst? 


Wann immer ich zu der Seite navigiere, die @Nikos M. vorschlägt 

enter image description here

Ich bekomme diese Nachricht 

enter image description here


Ich folgte dem Vorschlag von @ Rich und konnte das Paket herunterladen und installieren, was ich vorher nicht konnte. Ich habe jedoch festgestellt, dass ich immer noch keinen Zugriff auf viele Befehle habe, die mir gefallen. arp oder diskutil, um nur zwei zu nennen, die ich kürzlich getroffen habe. 

39
Loourr

Installiere sie von hier . Sie müssen ein registrierter Entwickler sein.

Eine andere Lösung ist: Klicken Sie in Xcode auf Xcode> Developer Tool öffnen> Weitere Developer Tools.

35
Nikos M.

Ich hatte dieses Problem seit Monaten und fand schließlich die Lösung.

Das Problem war: Ich hatte es vorher installiert und es manuell entfernt.

Was ich nicht entfernt habe, waren die Dateien

/var/db/receipts/com.Apple.pkg.CLTools_Executables.bom
/var/db/receipts/com.Apple.pkg.CLTools_Executables.plist

Löschen Sie sie und führen Sie xcode-select --install -> no error mehr aus

Zumindest hat es bei mir funktioniert. Ich hoffe es ist hilfreich für jemanden.

9
Grey

Die Tools sind immer noch kostenlos, aber xcode-select --install wird nicht mehr unterstützt. 

So installieren Sie die neuesten Befehlszeilen-Entwicklerwerkzeuge von https://developer.Apple.com ,

  1. Anwendungen -> App Store -> Suche -> XCode -> Installieren ... Installieren Sie XCode, falls Sie nicht über diese verfügen.
  2. Öffnen Sie XCode und schließen Sie alle Popups
  3. Gehen Sie zum Xcode-Menü> Entwickler-Tool öffnen> Weitere Entwickler-Tools ... Dadurch wird die richtige Website geöffnet.
  4. Suchen Sie nach der neuesten Version, laden Sie die dmg herunter und installieren Sie das Paket. Der Dateiname, nach dem Sie suchen, ähnelt "Command Line Tools (OS X 10.9) .pkg".
9
emery

Ich erhalte die Meldung "Ihre Sitzung ist abgelaufen", wenn ich versuche, den Chrome-Browser herunterzuladen. Wenn ich mit Safari zu der Site navigiere und mich mit meinen Entwickleranmeldeinformationen anmelde, wird das Befehlszeilentool dmg ohne Probleme heruntergeladen. Ich habe auch kein bezahltes Entwicklerkonto, übrigens. 

1
Rich

Sie können Ihre Befehlszeilentools von daw.Apple.com herunterladen. Versuchen Sie es jedoch von Safari statt von Chrome. 

Ich habe es einige Stunden mit Chrome ausprobiert, und Apple würde meine ID/mein Passwort nicht erkennen (dies ist die gleiche wie Ihre AppleID). Ich musste mein Passwort nach jedem dritten Versuch ändern, was schwierig war, da Sie kein Passwort verwenden würden, das Sie in den letzten drei Jahren verwendet haben.

Die Anmeldung über Safari bereitete mir keine Probleme. 

Die Datei, nach der Sie suchen werden, ist Command Line Tools (OS X Mavericks) für Xcode - Ende Oktober

Wenn Ihr Terminal immer noch angibt, dass Sie Befehlszeilentools installieren müssen, liegt möglicherweise ein Problem mit gcc-4.2 vor. Ich konnte bestätigen, dass dies das Problem war, indem ich meiner Terminalnachricht folgte, nachdem ich "Bundle Install" auf meiner Rails-App ausgeführt hatte. Wenn dies Ihr Problem ist, folgen Sie der folgenden Lösung von Housen hier . Viel Glück

1
Theresa Luu

Installieren Sie die Befehlszeilentools nach Fehlermeldung "Xcode alleine reicht nicht für Sierra aus"

brew scheint zu prüfen, ob die Befehlszeilentools in diesem Pfad installiert sind:

/Library/Developer/CommandLineTools Mein Fall ist: Ich habe versucht, brew auf meinem neuen Mac zu installieren. Nachdem ich Xcode installiert hatte, befand sich nichts im obigen Pfad, aber die Befehlszeilenprogramme wurden irgendwie an einem anderen Ort installiert. (xcode-select -p sagt mir, dass es sich um /Applications/Xcode.app/Contents/Developer).__ handelt. Die Methode in stackoverflow kann die Befehlszeilentools installieren

/Library/Developer/CommandLineToolsJetzt habe ich das Brauen gearbeitet. Ich bin mir jedoch nicht sicher, ob dies die beste Lösung ist, da auf diesem Rechner zwei Kopien von Befehlszeilenprogrammen vorhanden sein sollten, die diese Methode verwenden.

0
Ravi Kishore K

Ich habe den ganzen Tag damit verbracht, dieses Problem zu lösen. Ich glaube, dass die Fehlermeldungen bei der Installation von Xcode verwirrt sind. Das eigentliche Problem, das ich hatte, war die Notwendigkeit, den gcc-Compiler zu aktualisieren. Dies ist mir passiert, weil ich Mountain Lion übersprungen habe, wo das passiert ist. Dieser Blogbeitrag war sehr hilfreich. 

0
Kalimar Maia

Ich löste es durch Öffnen der XCode-Benutzeroberfläche und fügte dann mein Apple-Konto hinzu Xcode -> Einstellungen -> Mein Apple-ID-Konto hinzufügen 

Dann wiederholen Sie die xcode-select --install

0
Eitan Klein